﻿@model IEnumerable<MyVod.Infrastructure.Models.Movie>

@{
    ViewData["Title"] = "Home Page";
}

<h2 class="page-header">Best Movies!</h2>

<section class="movie-section">
    <div class="row row-cols-1 row-cols-md-4 g-4">
         @foreach (var movie in Model)
    {
        <div class="col">
            <div class="card h-100">
                <img class="card-img-top" src="@movie.Cover" alt="Card image cap">
                <div class="card-body">
                    <h5 class="card-title">
                        <a asp-area="" asp-controller="Movies" asp-action="" asp-route-id="@movie.Id">@movie.Title (@movie.EnglishTitle)</a>
                    </h5>
                </div>
                <div class="card-footer">Price: @((double)movie.Price/100)$ <a asp-area="" asp-controller="Checkout" asp-action="Index" asp-route-movieId="@movie.Id" class="btn btn-outline-success">Buy</a></div>
            </div>
        </div>
    }
    </div>
</section>


